import { Browser, Page } from 'puppeteer';
import { PuppeteerExtraPlugin } from 'puppeteer-extra-plugin';
import { Interceptor } from 'puppeteer-interceptor';
import Protocol from "devtools-protocol";
export { Interceptor } from 'puppeteer-interceptor';
export { Protocol as DevtoolProtocol } from 'devtools-protocol';
export { patterns } from 'puppeteer-interceptor';
declare module 'puppeteer' {
    interface Page {
        intercept(patterns: Protocol.Fetch.RequestPattern[], eventHandlers: Interceptor.EventHandlers): void;
    }
}
declare class InterceptorPlugin extends PuppeteerExtraPlugin {
    constructor(opts?: {});
    afterConnect(browser: Browser): Promise<void>;
    afterLaunch(browser: Browser): Promise<void>;
    onPageCreated(page: Page): Promise<void>;
    get name(): string;
}
export declare function interceptor(pluginConfig?: {}): InterceptorPlugin;
